import 'react';
import 'react-syntax-highlighter';

function styleInject(css, ref) {
  if ( ref === void 0 ) ref = {};
  var insertAt = ref.insertAt;

  if (typeof document === 'undefined') { return; }

  var head = document.head || document.getElementsByTagName('head')[0];
  var style = document.createElement('style');
  style.type = 'text/css';

  if (insertAt === 'top') {
    if (head.firstChild) {
      head.insertBefore(style, head.firstChild);
    } else {
      head.appendChild(style);
    }
  } else {
    head.appendChild(style);
  }

  if (style.styleSheet) {
    style.styleSheet.cssText = css;
  } else {
    style.appendChild(document.createTextNode(css));
  }
}

var css_248z = ".code-block-css-container{\r\n    border-radius: 4px;\r\n    display: flex;\r\n    flex-direction: column;\r\n    width: 100%;\r\n    height: 100%;\r\n    padding: 0 10px;\r\n}\r\n\r\n.code-block-css-container .code-block-css-title{\r\n    height:60px;\r\n    width: 100%;\r\n    border-radius: 4px 4px 0 0;\r\n    display: flex;\r\n    justify-content: space-between;\r\n    align-items: center;\r\n}\r\n.code-block-css-container .code-block-css-title p{\r\n    text-transform: capitalize;\r\n    font-weight: 600;\r\n    font-family: sans-serif;\r\n}\r\n.code-block-css-container .code-block-css-title button{\r\n    width: 100px;\r\n    height: 30px;\r\n    cursor: pointer;\r\n    border-radius: 4px;\r\n    font-family: sans-serif;\r\n    outline:none;\r\n    border: none;\r\n\r\n}\r\n.code-block-css-container .code-block-css-code{\r\n    border-radius: 0 0 4px 4px;\r\n    width: 100%;\r\n    margin-top: -14px;\r\n    height: 100%;\r\n}\r\n";
styleInject(css_248z);
